Bug 111726 - ACPI unable to read battery status on an IBM Thinkpad T40p
ACPI unable to read battery status on an IBM Thinkpad T40p
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-09 07:34 EST by Nicolas Aspert
Modified: 2015-01-04 17:04 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:49:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DSDT table of the computer (binary & decompiled) (45.45 KB, application/octet-stream)
2003-12-09 07:37 EST, Nicolas Aspert
no flags Details

  None (edit)
Description Nicolas Aspert 2003-12-09 07:34:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.5)
Gecko/20031007

Description of problem:
I have installed Fedora core 1 (kernel 2.4.22-1.2129) on a T40p laptop
(latest BIOS installed). When booting with ACPI enabled, the status of
the battery is incorrectly reported, i.e. 

# cat /proc/acpi/battery/BAT0/state
present:                 yes
ERROR: Unable to read battery status


which is kind of annoying for a laptop. Booting with ACPI off (and
thus APM on) gives correct battery status.

In /var/log/messages, I can see the following :

Dec  4 09:48:11 localhost kernel:     ACPI-0178: *** Warning: The ACPI
AML in your computer contains errors, please nag the manufacturer to
correct it.
Dec  4 09:48:11 localhost kernel:     ACPI-0181: *** Warning: Allowing
relaxed access to fields; turn on CONFIG_ACPI_DEBUG for details.

and a bit further 

Dec  4 09:49:34 localhost kernel:     ACPI-1120: *** Error: Method
execution failed [\_SB_.PCI0.LPC_.EC__.GBST] (Node c1615a40),
AE_AML_INTERNAL
Dec  4 09:49:34 localhost kernel:     ACPI-1120: *** Error: Method
execution failed [\_SB_.PCI0.LPC_.EC__.BAT0._BST] (Node c1615cc0),
AE_AML_INTERNAL
Dec  4 09:50:14 localhost kernel:     ACPI-1120: *** Error: Method
execution failed [\_SB_.PCI0.LPC_.EC__.GBST] (Node c1615a40),
AE_AML_INTERNAL
Dec  4 09:50:14 localhost kernel:     ACPI-1120: *** Error: Method
execution failed [\_SB_.PCI0.LPC_.EC__.BAT0._BST] (Node c1615cc0),
AE_AML_INTERNAL
Dec  4 09:50:34 localhost kernel:     ACPI-1120: *** Error: Method
execution failed [\_SB_.PCI0.LPC_.EC__.GBST] (Node c1615a40),
AE_AML_INTERNAL
Dec  4 09:50:34 localhost kernel:     ACPI-1120: *** Error: Method
execution failed [\_SB_.PCI0.LPC_.EC__.BAT0._BST] (Node c1615cc0),
AE_AML_INTERNAL
[snip.... goes on like this]

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2129

How reproducible:
Always

Steps to Reproduce:
1. boot with "acpi=on" in the kernel command line


    

Actual Results:  Battery is reported empty (and is not)

Expected Results:  Display the correct battery charge

Additional info:
Comment 1 Nicolas Aspert 2003-12-09 07:37:24 EST
Created attachment 96418 [details]
DSDT table of the computer (binary & decompiled)
Comment 2 Nicolas Aspert 2003-12-16 05:48:46 EST
Installing 2.4.23-gt kernels (with swsusp enabled) from
<ftp://ftp.mat.univie.ac.at/pub/rpm/> now give a correct status of the
battery.
Comment 3 Dave Jones 2003-12-16 09:59:09 EST
Len, any ideas ? I don't see any ACPI specific patches in that kernel,
but its possible that something went into 2.4.23 before we cut the
final FC1 kernel.
Comment 4 Len Brown 2004-03-24 03:22:57 EST
so 2.4.23 works fine -- can you check that an updated Red Hat
kernel works too?
Comment 5 David Lawrence 2004-09-29 15:49:34 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.